Subject: Re: [PATCH net-next 5/5] bonding: add new option ns_ip6_target

From: Jay Vosburgh <[email-masked]>
Date: Thu, 17 Feb 2022 10:00:37 -0800

Jonathan Toppins <[email-masked]> wrote:

>On 2/16/22 23:26, Jay Vosburgh wrote:
>> David Ahern <[email-masked]> wrote:
>> 
>>> On 2/16/22 6:25 PM, Hangbin Liu wrote:
>>>> For Bonding I think yes. Bonding has disallowed to config via
>>> module_param.
>>>> But there are still users using sysfs for bonding configuration.
>>>>
>>>> Jay, Veaceslav, please correct me if you think we can stop using sysfs.
>>>>
>>>
>>> new features, new API only?
>> 	I'm in agreement with this.  I see no reason not to encourage
>> standardization on iproute / netlink.
>> 
>
>It was generally customary to include the iproute2 updates with the series
>as well. That way they all got merged at the same time. I do not see the
>needed iproute2 changes, is this still done?
>Seems like it would be a requirement now if no other configuration method
>is supported.

	Yes, the iproute2 support is required concurrently with new API
functionality.  That's not a new expectation.

	-J

---
	-Jay Vosburgh, [email-masked]